#pragma once

#include "CoreMinimal.h"
#include "NewsAndMessagesRuntimeSection.h"
#include "NewsAndMessagesCallToAction.h"
#include "NewsAndMessagesImage.h"
#include "NewsAndMessagesBodyRuntimeData.generated.h"

USTRUCT(BlueprintType)
struct FNewsAndMessagesBodyRuntimeData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FNewsAndMessagesRuntimeSection> Sections;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FNewsAndMessagesCallToAction CallToAction;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, SkipSerialization)
	bool CallToAction_IsSet;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FNewsAndMessagesImage Image;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, SkipSerialization)
	bool Image_IsSet;

public:
	NEWSANDMESSAGESCOMMON_API FNewsAndMessagesBodyRuntimeData();
};

FORCEINLINE uint32 GetTypeHash(const FNewsAndMessagesBodyRuntimeData) { return 0; }
